Bug 31137 - Installer fails on file system mount
Summary: Installer fails on file system mount
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-09 02:24 UTC by Jared Lundell
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 15:48:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jared Lundell 2001-03-09 02:24:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Win98; U)


I'm trying to install Redhat 7.0 workstation on my IBM machine running on a celeron.  Trying to do a partitionless install, on the main harddrive 
with a Win98 Fat32 filesystem from the RPMS, stored on that HD.  When I run the installer, everything works fine in the configuration and 
setup 
fazes, until it actually starts the install. Shortly after the actual installation starts, I get the following error message

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in doInstall
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 703, in mountFilesystems
  File "/usr/lib/anaconda/isys.py", line 46, in losetup
    targ = os.open(file, mode)
OSError: [Errno 2] No such file or directory: '/mnt/loophost/redhat.img'

Local variables in innermost frame:
file: /mnt/loophost/redhat.img
mode: 2
readonly: 0
device: /tmp/loop1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I0
sS'fnames'
p9
(dp10

<failed>


I checked to make sure that I had downloaded all the files, which I have, and there is no file called redhat.img that I've found anywhere that I 
need to download.

Reproducible: Always
Steps to Reproduce:
1.Ran the installer again
2.
3.
	

Actual Results:  Exact same error message.  I didn't do anything special in the setup, just went staight through for a workstation install on a 
DOS FAT

Comment 1 Michael Fulbright 2001-03-09 15:51:11 UTC
Are you trying to do a partitionless install to the same partition that holds
the image you are installing from? If so this is not supported in 7.0.

Comment 2 Jared Lundell 2001-03-09 22:31:19 UTC
Yes, I am installing on the same partition that has the image.  I only have one partition on my drive, so is there anyway to install Redhat without getting a 
cd?

Comment 3 Michael Fulbright 2001-04-02 15:48:39 UTC
If you have a CD burner you could burn CDs from ISOs you download.

This issue is resolved in the current Wolverine Beta for our next release.


Note You need to log in before you can comment on or make changes to this bug.